> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/formerly-vinter-indices/api/api-error-messages.md).

# API Error Messages

API Error Messages are returned in a response format to indicate that a requested API operation was not successful. The response includes a "result" field with the value "error"

Sample Error Response

```json
{
    "result": "error",
    "message": "Symbol Required -- Symbol is required for this request",
    "data": "",
    "params": {}
}
```

In the example provided, the error message indicates that a "Symbol" is required for the request.

The Error response follow the format:

```
Symbol Required -- Symbol is required for this request
<Error Header>  -- <Error Message>
```

The Error Header and Messages

* Invalid Time:&#x20;
  * End time must be accompanied by a start time&#x20;
  * Start time and end time must be different&#x20;
  * End time must be greater than start time
* Invalid Limit: \
  Limit must be an integer
* Invalid Time Format:&#x20;

  Accepted formats are:&#x20;

  * YYYY-MM-DDTHH:MM:SSZ&#x20;
  * YYYY-MM-DDTHH:MM:SS.sssZ&#x20;
  * YYYY-MM-DD
* Symbol Required: \
  Symbol is required for this request
* Invalid Symbol:&#x20;

  Symbol does not exist
* Symbol Different Endpoint:&#x20;

  Symbol frequency belongs to a different endpoint
* Invalid Frequency:&#x20;

  Frequency must be one of the following:&#x20;

  * r for real-time
  * h for hourly
  * d for daily
* Too Many Requests: \
  Rate limit exceeded
* Unauthorized:&#x20;
  * You have not specified authorization header&#x20;
  * You are not authenticated properly&#x20;
  * You do not have access to requested endpoint


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kaiko.com/formerly-vinter-indices/api/api-error-messages.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
